export default {
  compilerOptions: {
    target: 'es2017',
    module: 'commonjs',
    removeComments: false,
    preserveConstEnums: true,
    moduleResolution: 'node',
    experimentalDecorators: true,
    noImplicitAny: false,
    allowSyntheticDefaultImports: true,
    outDir: 'lib',
    noUnusedLocals: true,
    noUnusedParameters: true,
    strictNullChecks: true,
    sourceMap: true,
    baseUrl: '.',
    rootDir: '.',
    jsx: 'react-jsx',
    jsxFactory: 'React.createElement',
    allowJs: true,
    resolveJsonModule: true,
    typeRoots: [
      'node_modules/@types'
    ]
  },
  include: ['./src', './types'],
  compileOnSave: false
}
